| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
oyObserver_s.c File Reference
`#include "oyranos_object_internal.h"`
`#include "oyObserver_s.h"`
`#include "oyObserver_s_.h"`
`#include "oyObject_s.h"`
`#include "oyOption_s_.h"`
`#include "oyOptions_s_.h"`
`#include "oyStructList_s_.h"`

## Functions
const char * | oySignalToString (oySIGNAL_e signal_type)

## Detailed Description

[Template file inheritance graph] +– oyObserver_s.template.c

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/05

## Function Documentation

const char* oySignalToString | ( | oySIGNAL_e | signal_type | ) |

< connection established

< released the connection

< call to update image views

< new data accessors

< can not process image

< can not handle option

< can not handle profile

< more signal types are possible

References oySIGNAL_CONNECTED, oySIGNAL_DATA_CHANGED, oySIGNAL_INCOMPATIBLE_CONTEXT, oySIGNAL_INCOMPATIBLE_DATA, oySIGNAL_INCOMPATIBLE_OPTION, oySIGNAL_RELEASED, oySIGNAL_STORAGE_CHANGED, and oySIGNAL_USER3.

Referenced by oyObserver_s::oyStruct_ObserverSignal().